FLUSH(1)

NAME
Flush - GTK-based BitTorrent client

SYNOPSIS
flush [OPTIONS] [TORRENT_FILE]...

DESCRIPTION
Flush is a GTK-based BitTorrent client. You can use it to download files from the BitTorrent network.

You can control already running instance, for example, by following commands:
    flush -o --download-rate-limit=100
    flush --start=all

FEATURES
* Controlling running instance by command line interface, such as:
  * Starting/stopping torrents.
  * Changing download/upload rate limit.
  * Changing maximum connections limit.
* Running many instances with different configs from the same user.
* Automatic copying finished downloads to specified directory.
* Setting custom download path for each file of the torrent.
* Ability to choose torrent file's character set encoding.
* Automatic torrents loading from specified directory.
* Automatic pausing and removing old torrents.
* Temporary pausing and resuming torrents.
* Overall and current session statistics.
* Creating your own torrent files.
* IP filter.

OPTIONS

--version
    Show program version and exit.

--help
    Show help options and exit.

--config=DIRECTORY
    Configuration directory path (default: ~/.flush).

--download-rate-limit=SPEED
    Set download rate limit (KB/s).

--upload-rate-limit=SPEED
    Set upload rate limit (KB/s).

--max-uploads=NUMBER
    Set maximum uploads.

--max-connections=NUMBER
    Set maximum connections.

--start={all,downloads,uploads}
    Start torrents.

--stop={all,downloads,uploads}
    Stop torrents.

-o, --only-pass
    Only pass commands to already running Flush instance. Does not start new instance if it is not running yet.

FILES

~/.flush
    Default configuration directory.

BUGS
On startup Flush finds already running instances via DBus session bus. Therefore it is necessary to run Flush in a single session bus (usual in X session bus) to prevent running several instances with one configuration path.

Please notice that when you are running Flush from console or by cron, when DISPLAY environment variable is not available, Flush finds already running GUI instance without problems via ${config_path}/dbus_session link, which all GUI instances are creating when they have owned DBus name. This makes it possible to control running Flush GUI instances from cron.

AUTHOR
Flush was written by Konishchev Dmitry <konishchev@gmail.com>.
This manual page was written by Konishchev Dmitry <konishchev@gmail.com>.